length_size = 70;
width_size = 19;
height_size = 2.5;
hole_diameter  = 3;    120015
USB_hole_length_size = 8.5;
USB_hole_width_size = 5;
PCB_length_size = 50;
PCB_width_size = 2;
Arduino_pin_width_size = 4;
Arduino_pin_length_size = 20;
difference() 
{
union()
{
    //  Creation de la plaqure
    linear_extrude(height = height_size, center = true)
    color("gray") square(size=[length_size, width_size] , center = true);
}
    //Soustraction d'un trou de montage
    rotate([0,0,0])
    translate([-30, -0.65, 0])
    cylinder($fn=360,h=10, d=hole_diameter, center=true);

    //Soustraction d'un trou de montage
    translate([+30, -0.65, 0])
    cylinder($fn=360,h=height_size+1, d=hole_diameter, center=true);    
    //Soustraction du trou du pour mini-USB
    translate([0, -1.875-1+0.2+7.6, 0])
    linear_extrude(height = height_size + 1, center = true)
    square(size=[USB_hole_length_size, USB_hole_width_size] , center = true); 
 
// Soustraction du logo EB
    scale([0.035, 0.035, 0.02])
    translate([-475,0,-30])
    rotate([0,180,0])
    surface(file="./Bid_Logo_No_Background.png", center = true, invert=false);

    // Soustraction du logo AZX Designs
    scale([0.045, 0.045, 0.02])
    translate([375,0,-30])
    rotate([0,180,0])
    surface(file="./AZX_Designs_Logo.png", center = true, invert=false);
}

// Création d'un onglet de montage
tab_length_size = 8;
tab_width_Size = 14;
tab_height_size = 3;
tab_dist_from_center = 18.5;   
tab_hole_diam = 2.7;
hole_zdist_from_center = 11.25; 

difference() 
{
    // premier onglet
    translate([tab_dist_from_center, -1.875-1+0.2-1, tab_width_Size/2+1])
    rotate([90,0,0])
    linear_extrude(height = tab_height_size, center = false)
    color("gray") square(size=[tab_length_size, tab_width_Size] , center = true);

    //Soustraction d'un trou de montage
    translate([tab_dist_from_center, -1.875-1-1+0.2, hole_zdist_from_center])
    rotate([90,0,0])
    cylinder($fn=360,h=tab_height_size+3, d=tab_hole_diam, center=true);    
}

difference() 
{
    // deuxième onglet
    translate([-tab_dist_from_center, -1.875-1+0.2-1, tab_width_Size/2+1])
    rotate([90,0,0])
    linear_extrude(height = tab_height_size, center = false)
    color("gray") square(size=[tab_length_size, tab_width_Size] , center = true);

    //Soustraction d'un trou de montage
   translate([-tab_dist_from_center, -1.875-1+0.2-1, hole_zdist_from_center])
    rotate([90,0,0])
   cylinder($fn=360,h=tab_height_size+3, d=tab_hole_diam, center=true);    
}